> ## Documentation Index
> Fetch the complete documentation index at: https://dify-6c0370d8-add-new-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# よくある質問

<Note> ⚠️ このドキュメントはAIによって自動翻訳されています。不正確な部分がある場合は、[英語版](/en/self-host/quick-start/faqs)を参照してください。</Note>

## デプロイ方法

### 旧バージョンのインストール

`--branch` フラグを使用して特定のバージョンをインストールします：

```bash theme={null}
git clone https://github.com/langgenius/dify.git --branch 0.15.3
```

残りのセットアップは最新版のインストールと同じです。

### ZIP アーカイブを使用したインストール

ネットワーク制限がある環境やgitが利用できない場合：

```bash theme={null}
# 最新リリースをダウンロード
wget -O dify.zip "$(curl -s https://api.github.com/repos/langgenius/dify/releases/latest | jq -r '.zipball_url')"
unzip dify.zip && rm dify.zip
```

または、別のデバイスでZIPをダウンロードして手動で転送することもできます。

**アップグレードするには：**

```bash theme={null}
wget -O dify-latest.zip "$(curl -s https://api.github.com/repos/langgenius/dify/releases/latest | jq -r '.zipball_url')"
unzip dify-latest.zip && rm dify-latest.zip
rsync -a dify-latest/ dify/
rm -rf dify-latest/
cd dify/docker
docker compose pull
docker compose up -d
```

## バックアップ手順

### アップグレード前のバックアップ作成

データ損失を防ぐため、アップグレード前は必ずバックアップを行ってください：

```bash theme={null}
cp -r dify "dify.bak.$(date +%Y%m%d%H%M%S)"
```

これにより、復元しやすいタイムスタンプ付きのバックアップが作成されます。
